<template>
  <div>
    <h1>{{ titulo }}</h1>
    <h2>{{ subtitulo }}</h2>
    <input v-model="num1" type="number" />
    <br />
    <input v-model="num2" type="number" />
    <br />
    <button v-on:click="sumar">Sumar</button>
    <button v-on:click="restar">Restar</button>
    <br />
    <button v-on:click="multiplicar">Multiplicar</button>
    <button v-on:click="dividir">Dividir</button>
    <br />
    <span>Resultado: {{ resultado }}</span>
  </div>
</template>

<script>
export default {
  data: () => {
    return {
      titulo: "Titulo Componente",
      subtitulo: "Subtitulo Componente",
      num1: null,
      num2: null,
      resultado: "",
    };
  },

  methods: {
    sumar() {
      console.log(this.num1);
      console.log(this.num2);
      this.resultado = parseInt(this.num1) + parseInt(this.num2);
    },
    restar() {
      console.log(this.num1);
      console.log(this.num2);
      this.resultado = parseInt(this.num1) - parseInt(this.num2);
    },
    multiplicar() {
      console.log(this.num1);
      console.log(this.num2);
      this.resultado = parseInt(this.num1) * parseInt(this.num2);
    },
    dividir() {
      console.log(this.num1);
      console.log(this.num2);
      this.resultado = parseInt(this.num1) / parseInt(this.num2);
    },
  },
};
</script>

<style>
button:hover {
  background-color: rgb(74, 88, 88);
}
button {
  width: 70px;
  height: 30px;
}
</style>